% pindyck00analytic calculates Pindyck's proposed analytical solution for
% section 3.3, eq.31, see eq. 12 for gamma in Pindyck (2000)


function theta=pindyk00analytic(M, r, alp, del, k, sig, beta, E0)
sigsq=sig^2;
eps=r-alp;

temp=0.5-alp./sigsq;
gam=temp+sqrt(temp.^2+2*r./sigsq); %gamma

theta=(eps.*(eps+2*del).*(eps+del).*k.*gam)./(2*beta.*(gam-1).*(beta.*E0+eps.*M));