% Analytic solution of Pindyck (2002), eq.46, thata^*(M)=...
% see eq. 44 for gamma
function [theta, gam]=pindyk02analytic(M, r, alpha, K, sigma1, sigma2, beta, E0)

sigmasq1=sigma1.^2;
sigmasq2=sigma2.^2;
eps=r-alpha;

omega=eps.*M+beta.*E0;

temp1 = sigmasq1.*omega.^2;
temp2 = sigmasq2.*eps.^2;
temp3 = temp1 + temp2;
temp4 = alpha.*omega-0.5*sigmasq1.*omega+eps.*beta.*E0;


gam = (omega.*temp4./temp3).*(-1+sqrt(1+2*r*temp3./(temp4.^2))); %gamma

theta=(gam.*eps.^3.*K)./(2*(gam-1).*beta.*E0.*omega);