% Converts sigma to Sigma=sigma*sigma'
function Sigma=sigma2Sigma(sigma,d,sigmadiag)
% sigma is not diagonal
if nargin<3 || sigmadiag==0
  if isa(sigma,'cell')
    Sigma=cell(d,d);
    for j=1:d
      for i=1:j
        Sigma{i,j}=sigma{i,1}.*sigma{j,1};
        for k=2:d
          Sigma{i,j}=Sigma{i,j}+sigma{i,k}.*sigma{j,k};
        end
      end
    end
  else
    n=size(sigma);
    if  length(n)==2, sigma=reshape(sigma,n(1),d,d); end
    Sigma=cell(d,d);
    for j=1:d
      for i=1:j
        Sigma{i,j}=sigma(:,i,1).*sigma(:,j,1);
        for k=2:d
          Sigma{i,j}=Sigma{i,j}+sigma(:,i,k).*sigma(:,j,k);
        end
      end
    end
  end
else
  Sigma=cell(d,d);
  if isa(sigma,'cell')
    for i=1:d, Sigma{i,i}=sigma{i,i}.^2; end
  else
    ns=size(sigma);
    if length(ns)==2, sigma=reshape(sigma,ns(1),d,d); end
    for i=1:d, Sigma{i,i}=sigma(:,i,i).^2; end
  end
end
return
    

